This is a [Next.js](https://nextjs.org/) project bootstrapped with [`create-next-app`](https://github.com/vercel/next.js/tree/canary/packages/create-next-app).

## Developing

By default the frontend will try to reach the backend at http://localhost:8080/api.

If your local instance is deployed on another URL, create a `.env.local` file and set the `RODOLF_API_URL` variable to point to your CubicWeb instance. The `.env.local` is ignored in Mercurial so you can edit it all you want.

Then run the development server:

```bash
npm run dev
```

Open [http://localhost:3000](http://localhost:3000) with your browser to see the result.

## Build for production

Create a file `.env.production` and set the `RODOLF_API_URL` variable to point to the production CubicWeb instance.

Then build and start the server:

```bash
npm run build
npm run start
```

[More information here](https://nextjs.org/docs/pages/building-your-application/deploying).

