import { Box, Tooltip, TooltipProps } from "@mui/material";

export function ButtonTooltip({ children, ...rest }: TooltipProps) {
  return (
    <Tooltip {...rest}>
      {/* This box is necessary for the tooltip to show when button is disabled */}
      <Box>{children}</Box>
    </Tooltip>
  );
}
